Loading...
Searching...
No Matches
RDKit::AtomSanitizeException Class Reference

`#include <SanitException.h>`

Inheritance diagram for RDKit::AtomSanitizeException:

## Public Member Functions

| AtomSanitizeException (const char *msg, unsigned int atomIdx)
| AtomSanitizeException (const std::string &msg, unsigned int atomIdx)
| AtomSanitizeException (const AtomSanitizeException &other)
unsigned int | getAtomIdx () const
| ~AtomSanitizeException () noexcept override
MolSanitizeException * | copy () const override
std::string | getType () const override
Public Member Functions inherited from RDKit::MolSanitizeException
| MolSanitizeException (const char *msg)
| MolSanitizeException (std::string msg)
| MolSanitizeException (const MolSanitizeException &other)
const char * | what () const noexcept override
| ~MolSanitizeException () noexcept override

## Protected Attributes

unsigned int | d_atomIdx
Protected Attributes inherited from RDKit::MolSanitizeException
std::string | d_msg

## Detailed Description

Definition at line 45 of file SanitException.h.

## Constructor & Destructor Documentation

## AtomSanitizeException() [1/3]

RDKit::AtomSanitizeException::AtomSanitizeException | ( | const char * | msg,
|  | unsigned int | atomIdx
| ) |  |

inline

Definition at line 48 of file SanitException.h.

## AtomSanitizeException() [2/3]

RDKit::AtomSanitizeException::AtomSanitizeException | ( | const std::string & | msg,
|  | unsigned int | atomIdx
| ) |  |

inline

Definition at line 50 of file SanitException.h.

## AtomSanitizeException() [3/3]

RDKit::AtomSanitizeException::AtomSanitizeException | ( | const AtomSanitizeException & | other | ) |

inline

Definition at line 52 of file SanitException.h.

## ~AtomSanitizeException()

RDKit::AtomSanitizeException::~AtomSanitizeException | ( |  | ) |

inline override noexcept

Definition at line 55 of file SanitException.h.

## Member Function Documentation

## copy()

MolSanitizeException * RDKit::AtomSanitizeException::copy | ( |  | ) | const

inline override virtual

Reimplemented from RDKit::MolSanitizeException.

Reimplemented in RDKit::AtomValenceException.

Definition at line 56 of file SanitException.h.

## getAtomIdx()

unsigned int RDKit::AtomSanitizeException::getAtomIdx | ( |  | ) | const

inline

Definition at line 54 of file SanitException.h.

## getType()

std::string RDKit::AtomSanitizeException::getType | ( |  | ) | const

inline override virtual

Reimplemented from RDKit::MolSanitizeException.

Reimplemented in RDKit::AtomValenceException.

Definition at line 59 of file SanitException.h.

## Member Data Documentation

## d_atomIdx

unsigned int RDKit::AtomSanitizeException::d_atomIdx

protected

Definition at line 62 of file SanitException.h.

The documentation for this class was generated from the following file:

- SanitException.h